Subject: Re: bug#27361: 24.4; eshell/echo silently ignores -n argument

From: Phil Hagelberg <[email-masked]>
Date: Mon, 19 Jun 2017 08:22:53 -0700

[email-masked] writes:

> It's not ignored, but eshell always adds a newline before the prompt.
> Furthermore, the argument has the opposite sense to the traditional
> shell interpretation

Ah, I see. Yeah, doing the opposite of what the user asked for in both
cases is much worse than simply ignoring the argument when it's present.

-Phil